// Fill out your copyright notice in the Description page of Project Settings.


#include "Enemy/DistantEnemy/Projectile/BPProjectile.h"
#include "Components/SphereComponent.h"

// Sets default values
ABPProjectile::ABPProjectile()
{
	PrimaryActorTick.bCanEverTick = true;
	ProjectileCollision = CreateDefaultSubobject<USphereComponent>(TEXT("ProjectileCollision"));
	SetRootComponent(ProjectileCollision);
	// Collisions :
	ProjectileCollision->SetCollisionEnabled(ECollisionEnabled::QueryAndPhysics);
	ProjectileCollision->SetNotifyRigidBodyCollision(true);
	ProjectileCollision->BodyInstance.SetCollisionProfileName(TEXT("BlockAllDynamic"));

	ProjectileMesh = CreateDefaultSubobject<UStaticMeshComponent>(TEXT("ProjectileMesh"));
	ProjectileMesh->SetupAttachment(ProjectileCollision);
}

void ABPProjectile::BeginPlay()
{
	Super::BeginPlay();
	
}

void ABPProjectile::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

